<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once '../../maincore.php';
require_once THEMES . 'templates/admin_header.php';

pageAccess('SOCI');
$locale = fusion_get_locale('', SOCI_LOCALE);
$settings = get_settings('socialmedia_panel');

add_to_title($locale['socialmedia_title']);

add_breadcrumb(['link' => INFUSIONS . 'socialmedia_panel/admin.php' . fusion_get_aidlink(), 'title' => $locale['socialmedia_title']]);

if (isset($_POST['save_settings'])) {
	$settings = [
		'social_color_menu'    => form_sanitizer($_POST['social_color_menu'], '', 'social_color_menu'),
		'social_color_icon'    => form_sanitizer($_POST['social_color_icon'], '', 'social_color_icon'),
		'social_color_iconp'   => form_sanitizer($_POST['social_color_iconp'], '', 'social_color_iconp'),

		'social_facebook_y_n'  => post('social_facebook_y_n') ? 1 : 0,
		'social_twitter_y_n'   => post('social_twitter_y_n') ? 1 : 0,
		'social_instagram_y_n' => post('social_instagram_y_n') ? 1 : 0,
		'social_discord_y_n'   => post('social_discord_y_n') ? 1 : 0,
		'social_tiktok_y_n'    => post('social_tiktok_y_n') ? 1 : 0,
		'social_youtube_y_n'   => post('social_youtube_y_n') ? 1 : 0,

		'social_facebook_url'  => form_sanitizer($_POST['social_facebook_url'], '', 'social_facebook_url'),
		'social_twitter_url'   => form_sanitizer($_POST['social_twitter_url'], '', 'social_twitter_url'),
		'social_instagram_url' => form_sanitizer($_POST['social_instagram_url'], '', 'social_instagram_url'),
		'social_discord_url'   => form_sanitizer($_POST['social_discord_url'], '', 'social_discord_url'),
		'social_tiktok_url'    => form_sanitizer($_POST['social_tiktok_url'], '', 'social_tiktok_url'),
		'social_youtube_url'   => form_sanitizer($_POST['social_youtube_url'], '', 'social_youtube_url'),
	];

	if (\defender::safe()) {
		foreach ($settings as $settings_name => $settings_value) {
			$db = [
				'settings_name'  => $settings_name,
				'settings_value' => $settings_value,
				'settings_inf'   => 'socialmedia_panel'
			];

			dbquery_insert(DB_SETTINGS_INF, $db, 'update', ['primary_key' => 'settings_name']);
		}

		addNotice('success', $locale['socialmedia_notice']);
		redirect(FUSION_REQUEST);
	}
}

opentable($locale['socialmedia_title']);
echo openform('socialmedia_settings', 'post', FUSION_REQUEST);
echo "<table  width='100%'>";
//-1
echo "<tr>";
echo "<td width='33%'>";
echo form_colorpicker('social_color_menu', $locale['socialmedia_10'], $settings['social_color_menu'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td width='33%'>";
echo form_colorpicker('social_color_icon', $locale['socialmedia_20'], $settings['social_color_icon'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td width='33%'>";
echo form_colorpicker('social_color_iconp', $locale['socialmedia_30'], $settings['social_color_iconp'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo "</tr>";
//-2
echo "<tr>";
echo "<td>";
$icon = "<span class='menu-item socjal fab fa-facebook-f'>&nbsp;&nbsp;</span>";
echo form_text('social_facebook_url', $locale['socialmedia_100'], $settings['social_facebook_url'], [
	'inner_width' => '200px',
	'type'        => 'url',
	'placeholder' => 'Identyfikator '.$locale['socialmedia_100'].'',
	'tip'         => 'Wpisz to co po /', 
	'label_icon'  => $icon,
	'inline'      => false
]);
echo form_checkbox('social_facebook_y_n', $locale['socialmedia_40'], $settings['social_facebook_y_n'], [
	'toggle' => TRUE
]);
echo "</td>";
echo "<td>";
$icon = "<span class='menu-item socjal fab fa-twitter'>&nbsp;&nbsp;</span>";
echo form_text('social_twitter_url', $locale['socialmedia_200'], $settings['social_twitter_url'], [
	'inner_width' => '200px',
	'type'        => 'url',
	'placeholder' => 'Identyfikator '.$locale['socialmedia_200'].'',
	'tip'         => 'Wpisz to co po /', 
	'label_icon'  => $icon,
	'inline'      => false
]);
echo form_checkbox('social_twitter_y_n', $locale['socialmedia_50'], $settings['social_twitter_y_n'], [
	'toggle' => TRUE
]);
echo "</td>";
echo "<td>";
$icon = "<span class='menu-item socjal fab fa-instagram'>&nbsp;&nbsp;</span>";
echo form_text('social_instagram_url', $locale['socialmedia_300'], $settings['social_instagram_url'], [
	'inner_width' => '200px',
	'type'        => 'url',
	'placeholder' => 'Identyfikator '.$locale['socialmedia_300'].'',
	'tip'         => 'Wpisz to co po /', 
	'label_icon'  => $icon,
	'inline'      => false
]);
echo form_checkbox('social_instagram_y_n', $locale['socialmedia_60'], $settings['social_instagram_y_n'], [
	'toggle' => TRUE
]);
echo "</td>";
echo "</tr>";
//-3
echo "<tr>";
echo "<td colspan='3' width='100%'>";
echo "<hr>";
echo "</td>";
echo "</tr>";
//-4
echo "<tr>";
echo "<td>";
$icon = "<span class='menu-item socjal fab fa-discord'>&nbsp;&nbsp;</span>";
echo form_text('social_discord_url', $locale['socialmedia_400'], $settings['social_discord_url'], [
	'inner_width' => '200px',
	'type'        => 'url',
	'placeholder' => 'Identyfikator '.$locale['socialmedia_400'].'',
	'tip'         => 'Wpisz to co po /', 
	'label_icon'  => $icon,
	'inline'      => false
]);
echo form_checkbox('social_discord_y_n', $locale['socialmedia_70'], $settings['social_discord_y_n'], [
	'toggle' => TRUE
]);
echo "</td>";
echo "<td>";
$icon = "<span class='menu-item socjal fab fa-tiktok'>&nbsp;&nbsp;</span>";
echo form_text('social_tiktok_url', $locale['socialmedia_500'], $settings['social_tiktok_url'], [
	'inner_width' => '200px',
	'type'        => 'url',
	'placeholder' => 'Identyfikator '.$locale['socialmedia_500'].'',
	'tip'         => 'Wpisz to co po /', 
	'label_icon'  => $icon,
	'inline'      => false
]);
echo form_checkbox('social_tiktok_y_n', $locale['socialmedia_80'], $settings['social_tiktok_y_n'], [
	'toggle' => TRUE
]);
echo "</td>";
echo "<td>";
$icon = "<span class='menu-item socjal fab fa-youtube-square'>&nbsp;&nbsp;</span>";
echo form_text('social_youtube_url', $locale['socialmedia_600'], $settings['social_youtube_url'], [
	'inner_width' => '200px',
	'type'        => 'url',
	'placeholder' => 'Identyfikator '.$locale['socialmedia_600'].'',
	'tip'         => 'Wpisz to co po /', 
	'label_icon'  => $icon,
	'inline'      => false
]);
echo form_checkbox('social_youtube_y_n', $locale['socialmedia_90'], $settings['social_youtube_y_n'], [
	'toggle' => TRUE
]);
echo "</td>";
echo "</tr>";
//-koniec
echo "<tr>";
echo "<td colspan='3' width='100%'>";
echo "";
echo "</td>";
echo "</tr>";
echo "</table>";
echo form_button('save_settings', $locale['save'], $locale['save'], ['class' => 'btn-success', 'icon' => 'fa fa-hdd-o']);
echo closeform();
closetable();

require_once THEMES . 'templates/footer.php';
