<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$locale = fusion_get_locale('', SOCI_LOCALE);

// Infusion general information
$inf_title       = $locale['socialmedia_title'];
$inf_description = $locale['socialmedia_desc'];
$inf_version     = '1.0';
$inf_email       = '';
$inf_weburl      = 'https://www.php-fusion.pl';
$inf_developer   = 'Adi - PHP Fusion Polska';
$inf_folder      = 'socialmedia_panel';
$inf_image       = 'socialmedia.svg';

// Insert panel
$inf_insertdbrow[] = DB_PANELS . " (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES ('" . $inf_title . "', '" . $inf_folder . "', '', '1', '1', 'file', '0', '1', '1', '', '3', '" . fusion_get_settings('enabled_languages') . "')";

// Insert settings
$settings = [
    'social_color_menu'    => '#669AE1',
    'social_color_icon'    => '#ffffff',
    'social_color_iconp'   => '#000000',

    'social_facebook_url'  => '',
    'social_twitter_url'   => '',
    'social_instagram_url' => '',
    'social_discord_url'   => '',
    'social_tiktok_url'    => '',
    'social_youtube_url'   => '',

    'social_facebook_y_n'  => '0',
    'social_twitter_y_n'   => '0',
    'social_instagram_y_n' => '0',
    'social_discord_y_n'   => '0',
    'social_tiktok_y_n'    => '0',
    'social_youtube_y_n'   => '0',

];

foreach ($settings as $name => $value) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}

// Multilanguage links
$enabled_languages = makefilelist(LOCALE, '.|..', TRUE, 'folders');
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(INFUSIONS . 'socialmedia_panel/locale/' . $language . '.php')) {
            include INFUSIONS . 'socialmedia_panel/locale/' . $language . '.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => 'SOCI',
            'image'    => $inf_image,
            'title'    => $inf_title,
            'panel'    => 'admin.php',
            'page'     => 5,
            'language' => $language
        ];

        // Delete
        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights='SOCI' AND admin_language='" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => 'SOCI',
        'image'    => $inf_image,
        'title'    => $inf_title,
        'panel'    => 'admin.php',
        'page'     => 5,
        'language' => LANGUAGE
    ];
}

// Uninstallation
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights='UWWW'";
$inf_deldbrow[] = DB_PANELS . " WHERE panel_filename='" . $inf_folder . "'";
$inf_deldbrow[] = DB_SETTINGS_INF . " WHERE settings_inf='" . $inf_folder . "'";
